Skip to main content
GET
/
config_schemas
Python
import os
from miru_platform_sdk import Miru

client = Miru(
    api_key=os.environ.get("MIRU_API_KEY"),  # This is the default and can be omitted
)
config_schema_list = client.config_schemas.list()
print(config_schema_list)
{
  "object": "list",
  "limit": 10,
  "offset": 0,
  "has_more": false,
  "data": [
    {
      "object": "config_schema",
      "id": "cfg_sch_123",
      "digest": "sha256:1234567890",
      "config_type_name": "Motion Control",
      "instance_filepath": "/v1/motion-control.json",
      "created_at": "2021-01-01T00:00:00Z",
      "updated_at": "2021-01-01T00:00:00Z",
      "config_type_id": "cfg_typ_123",
      "language": "jsonschema",
      "format": "json"
    }
  ],
  "total_count": 123
}
ScopeRequired
config_schemas:readYes

Authorizations

X-API-Key
string
header
required

The API key to use for authentication.

Headers

Miru-Version
string
required

The API version the client was built against.

Example:

"2026-03-09.tetons"

Query Parameters

offset
integer
default:0

The offset of the items to return. An offset of 10 with a limit of 10 returns items 11-20.

Required range: x >= 0
Example:

0

limit
integer
default:10

The maximum number of items to return. A limit of 15 with an offset of 0 returns items 1-15.

Required range: 1 <= x <= 100
Example:

10

order_by
enum<string>[]

Sort order for the config schema results.

Available options:
id:asc,
id:desc,
created_at:desc,
created_at:asc
Example:
["created_at:desc"]
expand
enum<string>[]

Fields to expand on each config schema in the list.

Available options:
total_count,
documents,
config_type
Example:
["documents"]
id
string[]

The config schema IDs to filter by.

Example:
["cfg_sch_123"]
config_type_id
string[]

The config type IDs to filter by.

Example:
["cfg_typ_123"]

Response

200 - application/json

Successfully listed the config schemas.

object
enum<string>
required

The object type, which is always list.

Available options:
list
Example:

"list"

limit
integer
default:10
required

The maximum number of items to return. A limit of 15 with an offset of 0 returns items 1-15.

Required range: 1 <= x <= 100
offset
integer
default:0
required

The offset of the items to return. An offset of 10 with a limit of 10 returns items 11-20.

Required range: x >= 0
has_more
boolean
required

True if there are more items in the list to return. False if there are no more items to return.

Example:

false

data
Config Schema · object[]
required

The list of config schemas.

total_count
integer<int64>

The total number of items in the list. By default the total count is not returned. The total count must be expanded (using expand=total_count) to get the total number of items in the list.

Last modified on March 13, 2026